curl --request GET \
--url https://int-api.mx.com/ach_returns/{ach_return_guid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/ach_returns/{ach_return_guid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/ach_returns/{ach_return_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ach_return": {
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"account_number_last_four": "1234",
"account_type": "CREDIT",
"ach_initiated_at": "2025-02-13T18:08:00+00:00",
"client_guid": "CLT-abcd-1234",
"corrected_account_number": null,
"corrected_routing_number": null,
"created_at": null,
"guid": "ACH-d74cb14f-fd0a-449f-991b-e0362a63d9c6",
"id": "client_ach_return_id_1234",
"institution_guid": "INS-34r4f44b-cfge-0f6e-3484-21f47e45tfv7",
"investigation_notes": null,
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"processing_errors": null,
"resolution_code": null,
"resolution_detail": null,
"resolved_status_at": null,
"return_code": "R01",
"return_notes": null,
"return_account_number": null,
"return_routing_number": null,
"return_status": "SUBMITTED",
"returned_at": "2025-02-13T18:09:00+00:00",
"sec_code": "PPD",
"started_processing_at": null,
"submitted_at": null,
"transaction_amount": 225.84,
"updated_at": null,
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
}Read ACH Return
The features documented here are in a beta state, and this documentation is considered draft material subject to frequent change.
Use this endpoint to get an ACH return by its guid or id.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier (guid) for the ACH return. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
"1234"
"CREDIT"
"2025-02-13T18:08:00+00:00"
"CLT-abcd-1234"
null
null
null
"ACH-d74cb14f-fd0a-449f-991b-e0362a63d9c6"
"client_ach_return_id_1234"
"INS-34r4f44b-cfge-0f6e-3484-21f47e45tfv7"
null
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
null
null
null
null
"R01"
null
null
null
"SUBMITTED"
"2025-02-13T18:09:00+00:00"
"PPD"
null
null
225.84
null
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

